using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CreatureController : MonoBehaviour, IMapController {
    public Transform p;
    public Camera natureCam;

    public void CloseLevel()
    {
        natureCam.enabled = false;
    }

    public Vector2 GetPlayersCenterRelativePosition()
    {
        return p.position - transform.position;
    }

    public void StartLevel()
    {
        print("started");
        natureCam.enabled = true;
        //throw new System.NotImplementedException();
    }
}
